<?xml version="1.0" encoding="UTF-8"?>
<!--
 *************************************************************************
 * The contents of this file are subject to the Openbravo  Public  License
 * Version  1.0  (the  "License"),  being   the  Mozilla   Public  License
 * Version 1.1  with a permitted attribution clause; you may not  use this
 * file except in compliance with the License. You  may  obtain  a copy of
 * the License at http://www.openbravo.com/legal/license.html
 * Software distributed under the License  is  distributed  on  an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific  language  governing  rights  and  limitations
 * under the License.
 * The Original Code is Openbravo ERP.
 * The Initial Developer of the Original Code is Openbravo SLU
 * All portions are Copyright (C) 2011-2015 Openbravo SLU
 * All Rights Reserved.
 * Contributor(s):  ______________________________________.
 *************************************************************************
-->
<REPORT>
  <template file="SelectOrdersOrInvoicesGrid.srpt"/> 


  <structure name="structure">
    <FIELD id="fieldSelectedPaymentDetailId" attribute="value">finSelectedPaymentDetailId</FIELD>
    <FIELD id="fieldScheduledPaymentDetailId" attribute="value">finScheduledPaymentDetailId</FIELD>
    <FIELD id="fieldScheduledPaymentDetailId" boolean="checked" withId="fieldSelectedPaymentDetailId">finScheduledPaymentDetailId</FIELD>
    <FIELD id="fieldRecordId" attribute="value">finScheduledPaymentDetailId</FIELD>
    <FIELD id="fieldRecordId" attribute="name" replace="xx">rownum</FIELD>
    <FIELD id="fieldRecordAmt" attribute="value" format="euroEdition">outstandingAmount</FIELD>
    <FIELD id="fieldRecordAmt" attribute="name" replace="xx">finScheduledPaymentDetailId</FIELD>
    <FIELD id="fieldPaymentMethod">paymentMethodNameTrunc</FIELD>
    <FIELD id="fieldPaymentMethod" attribute="title" replace="zz">paymentMethodName</FIELD>
    <FIELD id="fieldBusinessPartner">businessPartnerNameTrunc</FIELD>
    <FIELD id="fieldBusinessPartner" attribute="title" replace="zz">businessPartnerName</FIELD>
    <FIELD id="fieldCurrency">currencyNameTrunc</FIELD>
    <FIELD id="fieldCurrency" attribute="title" replace="zz">currencyName</FIELD>
    <FIELD id="fieldOrderNr" attribute="title" replace="zz">orderNr</FIELD>
    <FIELD id="fieldOrderNr">orderNrTrunc</FIELD>
    <FIELD id="fieldInvoiceNr" attribute="title" replace="zz">invoiceNr</FIELD>
    <FIELD id="fieldInvoiceNr">invoiceNrTrunc</FIELD>
    <FIELD id="fieldDueDate">dueDate</FIELD>
    <FIELD id="fieldExpectedDate">expectedDate</FIELD>
    <FIELD id="fieldInvoicedAmount" format="euroEdition">invoicedAmount</FIELD>
    <FIELD id="fieldExpectedAmount" format="euroEdition">expectedAmount</FIELD>
    <FIELD id="fieldOutstandingAmount" format="euroEdition">outstandingAmount</FIELD>
    <FIELD id="inpPaymentAmount" attribute="name" replace="xx">finScheduledPaymentDetailId</FIELD>
    <FIELD id="inpPaymentAmount" format="euroEdition" attribute="value">paymentAmount</FIELD>
    <FIELD id="fieldDifference" attribute="name" replace="xx">finScheduledPaymentDetailId</FIELD>
    <FIELD id="fieldDifference" format="euroEdition">difference</FIELD>
    <FIELD id="funcEvenOddRow" attribute="bgcolor" replace="#E1E1E1">gridLineColor</FIELD>
    <FIELD id="paraminvalidSpanxx" attribute="id" replace="xx">finScheduledPaymentDetailId</FIELD>

    <SECTION id="sectionLinesDetail"/>
  </structure>
</REPORT>
